\documentclass[../Documentation_Bern_RTOS_PAI]{subfiles}

\begin{document}
\begin{tikzpicture}[bern_rtos_style, node distance = 3cm]
    \node[state] (dormant) {Dormant};
    \node[state] (ready) [right of = dormant] {Ready};
    \node[state] (running) [right of = ready] {Running};
    \node[state] (pending) [above of = ready] {Pending};
    \node[state] (interrupted) [below of = ready] {Interrupted};

  
    \path[->] 
        (dormant) edge [bend left] (ready)
        (ready) edge [bend left] (dormant)
                edge [bend left, line width=1.2pt] (running)
        (running) edge [bend left, line width=1.2pt] (ready)
                  edge [bend right, line width=1.2pt] (pending)
                  edge [bend left, out=30] (interrupted)
                  edge [bend left, out=50, in=135, line width=1.2pt, overlay, -] ($(interrupted) + (0,-1.3)$)
                    ($(interrupted) + (0,-1.3)$) edge [bend left, out=45, in=135, line width=1.2pt, overlay] (dormant)
        (pending) edge [bend right] (dormant)
                  edge (ready)
        (interrupted) edge (ready)
                      edge [bend left, in=190] (running)
                      edge [loop left] (interrupted);
\end{tikzpicture}
\end{document}